/**
 * Diese Klasse stellt statische Methoden zur Konvertierung zwischen String und
 * int[] sowie String und char[] bereit.
 * 
 * @author Annabelle Klarl
 * 
 */
public class KonverterErweitert {
    /**
     * Diese Methode konvertiert einen String von int-Werten in ein int-Array.
     * Der String muss aus komma-separierten int-Werten bestehen.
     * 
     * @param string
     *            Der zu konvertierende String
     * @return Das konvertierte int-Array
     */
    public static int[] konvertiereZuIntArray(String string) {
        String[] stringArray = string.split(",");
        int[] intArray = new int[stringArray.length];
        for (int i = 0; i < stringArray.length; i++) {
            intArray[i] = Integer.parseInt(stringArray[i]);
        }
        return intArray;
    }

    /**
     * Diese Methode konvertiert einen String von char-Werten in ein char-Array.
     * Der String muss aus komma-separierten char-Werten bestehen.
     * 
     * @param string
     *            Der zu konvertierende String
     * @return Das konvertierte char-Array
     */
    public static char[] konvertiereZuCharArray(String string) {
        String[] stringArray = string.split(",");
        char[] charArray = new char[stringArray.length];
        for (int i = 0; i < stringArray.length; i++) {
            charArray[i] = stringArray[i].trim().charAt(0);
        }
        return charArray;
    }

    /**
     * Diese Methode konvertiert ein int-Array in einen komma-separierten
     * String.
     * 
     * @param intArray
     *            Das zu konvertierende int-Array
     * @return Der String aus komma-separierten int-Werten
     */
    public static String konvertiereZuString(int[] intArray) {
        StringBuffer result = new StringBuffer();
        for (int i = 0; i < intArray.length - 1; i++) {
            result.append(intArray[i]);
            result.append(",");
        }
        result.append(intArray[intArray.length - 1]);
        return result.toString();
    }

    /**
     * Diese Methode konvertiert ein char-Array in einen komma-separierten
     * String.
     * 
     * @param charArray
     *            Das zu konvertierende char-Array
     * @return Der String aus komma-separierten char-Werten
     */
    public static String konvertiereZuString(char[] charArray) {
        StringBuffer result = new StringBuffer();
        for (int i = 0; i < charArray.length - 1; i++) {
            result.append(charArray[i]);
            result.append(",");
        }
        result.append(charArray[charArray.length - 1]);
        return result.toString();
    }
}
